package benefactorkindboxhandler

import (
	authservice "git.gocasts.ir/ebhomengo/niki/service/auth"
	benefactorkindboxservice "git.gocasts.ir/ebhomengo/niki/service/benefactor/kind_box"
	benefactorkindboxvalidator "git.gocasts.ir/ebhomengo/niki/validator/benefactor/kind_box"
)

type Handler struct {
	authConfig           authservice.Config
	authSvc              authservice.Service
	benefactorKindBoxSvc benefactorkindboxservice.Service
	benefactorKindBoxVld benefactorkindboxvalidator.Validator
}

func New(authConfig authservice.Config, authSvc authservice.Service,
	benefactorKindBoxSvc benefactorkindboxservice.Service, benefactorKindBoxVld benefactorkindboxvalidator.Validator,
) Handler {
	return Handler{
		authConfig:           authConfig,
		authSvc:              authSvc,
		benefactorKindBoxSvc: benefactorKindBoxSvc,
		benefactorKindBoxVld: benefactorKindBoxVld,
	}
}
